Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.portlet.state
Class PersistentPortletState

    java.lang.Object
      org.jboss.portal.core.impl.portlet.state.PersistentPortletState

All Implemented Interfaces:
  org.jboss.portal.portlet.state.producer.PortletStateContext

    public class PersistentPortletState

extends java.lang.Object
implements org.jboss.portal.portlet.state.producer.PortletStateContext

Version:
  $Revision: 11068 $
Author:
  Julien Viet

Field Summary
`protected java.util.Set` | `children` The clones of this state.
`protected java.util.Date` | `creationTime` When the state has been created.
`protected java.util.Map` | `entries` The different entries.
`protected java.lang.Long` | `key` The primary key.
`protected PersistentPortletState` | `parent` The state that we cloned from.
`protected java.lang.String` | `portletId` The portlet id.
`protected PersistentRegistration` | `relatedRegistration` For now a registration id, later probably a one to many relationship with a registration entry.
`protected java.util.Date` | `terminationTime` When the state expires, a null value means there is no expiration date scheduled.

Constructor Summary
`PersistentPortletState()`
`PersistentPortletState(java.lang.String portletId, org.jboss.portal.portlet.state.PropertyMap propertyMap)`

Method Summary
`java.util.Set` | `getChildren()`
`java.util.Date` | `getCreationTime()`
`java.util.Map` | `getEntries()`
`java.lang.String` | `getId()`
`java.lang.Long` | `getKey()`
`PersistentPortletState` | `getParent()`
`java.lang.String` | `getPortletId()`
`PersistentRegistration` | `getRelatedRegistration()`
`org.jboss.portal.portlet.state.producer.PortletState` | `getState()`
`java.util.Date` | `getTerminationTime()`
`void` | `setChildren(java.util.Set children)`
`void` | `setCreationTime(java.util.Date creationTime)`
`void` | `setEntries(java.util.Map entries)`
`void` | `setKey(java.lang.Long key)`
`void` | `setParent(PersistentPortletState parent)`
`void` | `setPortletId(java.lang.String portletId)`
`void` | `setRelatedRegistration(PersistentRegistration relatedRegistration)`
`void` | `setTerminationTime(java.util.Date terminationTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    protected java.lang.Long key

  The primary key.

### portletId

    protected java.lang.String portletId

  The portlet id.

### entries

    protected java.util.Map entries

  The different entries.

### creationTime

    protected java.util.Date creationTime

  When the state has been created.

### terminationTime

    protected java.util.Date terminationTime

  When the state expires, a null value means there is no expiration date scheduled.

### relatedRegistration

    protected PersistentRegistration relatedRegistration

  For now a registration id, later probably a one to many relationship with a registration entry.

### children

    protected java.util.Set children

  The clones of this state.

### parent

    protected PersistentPortletState parent

  The state that we cloned from.

Constructor Detail

### PersistentPortletState

    public PersistentPortletState()

### PersistentPortletState

    public PersistentPortletState(java.lang.String portletId,
                                  org.jboss.portal.portlet.state.PropertyMap propertyMap)

Method Detail

### getKey

    public java.lang.Long getKey()

### setKey

    public void setKey(java.lang.Long key)

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `org.jboss.portal.portlet.state.producer.PortletStateContext`

### getPortletId

    public java.lang.String getPortletId()

### setPortletId

    public void setPortletId(java.lang.String portletId)

### getEntries

    public java.util.Map getEntries()

### setEntries

    public void setEntries(java.util.Map entries)

### getCreationTime

    public java.util.Date getCreationTime()

### setCreationTime

    public void setCreationTime(java.util.Date creationTime)

### getTerminationTime

    public java.util.Date getTerminationTime()

### setTerminationTime

    public void setTerminationTime(java.util.Date terminationTime)

### getRelatedRegistration

    public PersistentRegistration getRelatedRegistration()

### setRelatedRegistration

    public void setRelatedRegistration(PersistentRegistration relatedRegistration)

### getChildren

    public java.util.Set getChildren()

### setChildren

    public void setChildren(java.util.Set children)

### getParent

    public PersistentPortletState getParent()

### setParent

    public void setParent(PersistentPortletState parent)

### getState

    public org.jboss.portal.portlet.state.producer.PortletState getState()

  Specified by:
    `getState` in interface `org.jboss.portal.portlet.state.producer.PortletStateContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD